Bug 152412 - CAN-2005-0749 load_elf_library possible DoS
CAN-2005-0749 load_elf_library possible DoS
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Brian Brock
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
Reported: 2005-03-29 05:56 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-529
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-29 14:07:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-29 05:56:48 EST
A flaw when freeing a pointer in load_elf_library was discovered.  A local user
could potentially use this flaw to cause a denial of service (crash).  See
discussion at:

Fixed upstream (note important 2nd fix for 2.4)

fixed=2.6 (20050325
fixed=2.4 (20050325
fixed=2.4 (20050326
Comment 1 Don Howard 2005-07-28 19:02:36 EDT
This issue is corrected in e.64.
Comment 4 Red Hat Bugzilla 2005-09-29 14:07:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.